Package com.sas.lsaf.content.repository

## Enum RepositoryFile.SigningStatus

- java.lang.Object
- - java.lang.Enum<RepositoryFile.SigningStatus>
  - - com.sas.lsaf.content.repository.RepositoryFile.SigningStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RepositoryFile.SigningStatus>`
  Enclosing class:
    RepositoryFile

      public static enum RepositoryFile.SigningStatus
      extends java.lang.Enum<RepositoryFile.SigningStatus>

  Describes the overall signature status of the file. If the file is not versioned then the only possible values for the status are `NONE` and `CURRENT`. If the file is versioned, all versions return the same status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CURRENT` | The current version of the file is signed, and no previous versions are signed.
    `CURRENT_AND_PREVIOUS` | The current version of the file is signed, and there is at least one previous version of the file that is signed.
    `NONE` | There are no signatures associated with the file.
    `PREVIOUS` | There is at least one previous version of the file that is signed and the current version is not signed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RepositoryFile.SigningStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RepositoryFile.SigningStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final RepositoryFile.SigningStatus NONE

      There are no signatures associated with the file.

    - #### PREVIOUS

          public static final RepositoryFile.SigningStatus PREVIOUS

      There is at least one previous version of the file that is signed and the current version is not signed.

    - #### CURRENT

          public static final RepositoryFile.SigningStatus CURRENT

      The current version of the file is signed, and no previous versions are signed.

    - #### CURRENT_AND_PREVIOUS

          public static final RepositoryFile.SigningStatus CURRENT_AND_PREVIOUS

      The current version of the file is signed, and there is at least one previous version of the file that is signed.

  - ### Method Detail

    - #### values

          public static RepositoryFile.SigningStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryFile.SigningStatus c : RepositoryFile.SigningStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryFile.SigningStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null